How to contribute to SJOT
=========================

Thank you for taking the time to contribute.

The following is a set of guidelines for contributing to SJOT.

Contribution and participation in the SJOT project requires adherence to our
[code of conduct](CODE_OF_CONDUCT.md).

Did you find a bug?
-------------------

- Ensure the bug was not already reported by searching on GitHub under
  [issues](https://github.com/Genivia/SJOT/issues).
- If you're unable to find an open issue addressing the problem, open a new one.
  Be sure to include a title and clear description, as much relevant
  information as possible, and a code sample or an executable test case
  demonstrating the expected behavior that is not occurring.

Do you have a patch that fixes a bug?
-------------------------------------

- Open a new GitHub pull request with the patch.
- Write a clear log message for your commits.  One-line messages are fine for
  small changes, but bigger changes should look like this:

      $ git commit -m "A brief summary of the commit
      > 
      > A paragraph describing what changed and its impact."

Do you intend to add a new feature or change an existing one?
-------------------------------------------------------------

We love to hear from you!  [Contact us](https://www.genivia.com/contact.html).

Contributions are covered under the [BSD-3 license](LICENSE.txt).

Thanks!

Robert van Engelen, Genivia Inc.
